FROM wapmobil/debian-base
WORKDIR /esp
RUN git clone --depth=1 -b release/v4.2 --recursive https://github.com/espressif/esp-idf.git
WORKDIR /esp/esp-idf
ENV IDF_TOOLS_PATH="/esp/espressif"
ENV IDF_PATH="/esp/esp-idf"
#RUN pip install --upgrade virtualenv==16.7.9 && ./install.sh
RUN apt-get update && apt-get install -y python3 python3-pip
RUN ./install.sh
RUN rm -rf /esp/espressif/dist

COPY miniz.patch /esp/esp-idf/
RUN patch -p 1 < miniz.patch

WORKDIR /esp
ENV PATH=/esp/esp-idf/components/esptool_py/esptool:/esp/esp-idf/components/espcoredump:/esp/esp-idf/components/partition_table:/esp/esp-idf/components/app_update:/esp/espressif/tools/xtensa-esp32-elf/esp-2020r3-8.4.0/xtensa-esp32-elf/bin:/esp/espressif/tools/xtensa-esp32s2-elf/esp-2020r3-8.4.0/xtensa-esp32s2-elf/bin:/esp/espressif/tools/openocd-esp32/v0.10.0-esp32-20200709/openocd-esp32/bin:/esp/espressif/python_env/idf4.2_py2.7_env/bin:/esp/esp-idf/tools:/opt/cmake/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
ENV IDF_PYTHON_ENV_PATH=/esp/espressif/python_env/idf4.2_py2.7_env
ENV OPENOCD_SCRIPTS=/esp/espressif/tools/openocd-esp32/v0.10.0-esp32-20200709/openocd-esp32/share/openocd/scripts
ENV IDF_TOOLS_EXPORT_CMD=/esp/esp-idf/export.sh
ENV IDF_TOOLS_INSTALL_CMD=/esp/esp-idf/install.sh
